# Portfolio Go

Site portfolio da artista Regina Carvalho. Criado por James Peret e Leonardo Musa utilizamdo as bibliotecas AngularJS e FamousJS.

### Instruções

O codigo para este site está no repositorio [http://gogs.j1x.co/jamesperet/portfolio-go](gogs.j1x.co/jamesperet/portfolio-go).

Para contribuir ou modificar o site, use as ferramentas  [git](https://git-scm.com/) para clonar  o projeto ou apenas faça o download do arquivo zip.

Se o codigo for modificado, é uma boa pratica coloca-lo de volta no repositorio. Para isso, é necessario se cadastrar no servidor [gogs.j1x.co](http://gogs.j1x.co) e criar uma chave SSH.


Para testar suas modificações no seu computador rode os seguintes comandos no terminal:

```bash
# Primeiro instale todas as dependecias:
$ npm install
# Depois inicie o servidor:
$ grunt serve
# Acesse http://localhost:8000/app/index.html
```

Para publicar o site no servidor, é necessario uma senha para o FTP. Entre em contato com [James Peret](http://jamesperet.com) para pedir acesso a senha.

Depois crie um arquivo na raiz do projeto chamado ```.ftppass``` e coloque o seguinte codigo dentro, mudando o username e senha:

```
{
  "key1": {
    "username": "user",
    "password": "pass"
  }
}

```

Depois rode o seguinte comando para fazer o upload dos arquivos para o servidor FTP:

```bash
$ grunt deploy
```

Atualmente o site pode ser acessado na URL  **[http://gofoundation.j1x.co](http://gofoundation.j1x.co)**.

### Páginas retiradas

A seguintes páginas foram retiradas do site durante a última revisão:

* curriculo
* Fotos
* filmes/performances
* filmes/sonho contra sono
